[Yaourt] Gestionnaire de paquetages pour Archlinux

Annonces, dépannage, évolution du projet yaourt
Avatar de l’utilisateur
Tebo
Chu Ko Nu
Messages : 366
Inscription : sam. 17 mars 2007, 23:24

Message par Tebo » mer. 18 avr. 2007, 10:05

Yaourt devient petit à petit un gestionnaire de paquetage à lui tout seul
Je n'y connait rien en lib mais il ne faut pas dévier vers un cache séparrer entre pacman et yaourt, histoire qu'il reste compatible.

Je te propose quelque idée pour améliorer yaourt :
- ignorer aur pour une recherche
- afficher les nouveau paquet dispo depuis le dernier yaourt -Su
- afficher les nouveau upgrade dispo pour les paquets installé

Et pourquoi pas intégrer customizepkg dans yourt :D:

Code : Tout sélectionner

 # yaourt -S customizepkg
==> WARNING: Building unsupported package as root is dangerous.
 Please run yaourt as a non-privileged user.
==> Downloading customizepkg PKGBUILD from AUR...

==> Choisi ta métode pour compiler $paquet
1 >> makepkg     2 >> customizepkg
| |
tradition Creé un fichier du même nom que $paquet dans
customizepkg.d puis edition du fichier

edit: enfin moi j'dit sa mais j'ulise encore la 0.6.5 ;)

Avatar de l’utilisateur
wain
Maître du Kyudo
Messages : 1853
Inscription : ven. 11 août 2006, 19:15
Localisation : Nancy (54)
Contact :

Message par wain » jeu. 19 avr. 2007, 23:02

Tebo a écrit :
Yaourt devient petit à petit un gestionnaire de paquetage à lui tout seul
Je n'y connait rien en lib mais il ne faut pas dévier vers un cache séparrer entre pacman et yaourt, histoire qu'il reste compatible.
Ca reste la même base. pacman n'est qu'un client qui se connecte à la librairie libalpm. On pourrait parfaitement créer d'autres clients que pacman qui resteraient 100% compatibles avec cette "base de donnée".
Tebo a écrit :Je te propose quelque idée pour améliorer yaourt :
- ignorer aur pour une recherche
- afficher les nouveau paquet dispo depuis le dernier yaourt -Su
- afficher les nouveau upgrade dispo pour les paquets installé

Et pourquoi pas intégrer customizepkg dans yourt :D:

Code : Tout sélectionner

 # yaourt -S customizepkg
==> WARNING: Building unsupported package as root is dangerous.
 Please run yaourt as a non-privileged user.
==> Downloading customizepkg PKGBUILD from AUR...

==> Choisi ta métode pour compiler $paquet
1 >> makepkg     2 >> customizepkg
| |
tradition Creé un fichier du même nom que $paquet dans
customizepkg.d puis edition du fichier

edit: enfin moi j'dit sa mais j'ulise encore la 0.6.5 ;)
Alors:
- ignorer la recherche des paquetages aur... pourquoi pas oui
- afficher les nouveau paquet dispo depuis le dernier yaourt -Su: pas impossible non plus. Il suffirait d'utiliser ce lien pour récupérer l'info.
- afficher les nouveau upgrade dispo pour les paquets installé: yaourt -Qu le fait déjà.

Pour ce qui est de l'intégration de customizepkg dans yaourt, c'est déjà fait. customizepkg se lance chaque fois que c'est nécessaire pour modifier le PKGBUILD. Ensuite makepkg fait son travail habituel :-)

Elrohir
archer
Messages : 134
Inscription : sam. 16 sept. 2006, 19:46

Message par Elrohir » sam. 21 avr. 2007, 17:30

wain a écrit :- ignorer la recherche des paquetages aur... pourquoi pas oui
Ca serait pas mal, oui :)

Sinon, j'ai peut-être (qui a dit sûrement ?) raté un épisode, mais pourquoi yaourt est-il toujours en 0.6.* sur [archlinuxfr] ?

Avatar de l’utilisateur
wain
Maître du Kyudo
Messages : 1853
Inscription : ven. 11 août 2006, 19:15
Localisation : Nancy (54)
Contact :

Message par wain » sam. 21 avr. 2007, 20:28

Elrohir a écrit :Sinon, j'ai peut-être (qui a dit sûrement ?) raté un épisode, mais pourquoi yaourt est-il toujours en 0.6.* sur [archlinuxfr] ?
Parcequ'à partir de la version 0.7, il faut pacman3 impérativement. En fait je me suis dit que j'allais prendre un peu d'avance et j'ai commencé à rendre compatible yaourt dès la sortie de la première pacman3 RC. Par la suite comme srcpac n'était plus compatible non plus, j'ai du apporter beaucoup de modifications à yaourt et en même temps des améliorations :)
Je sais pas ce que les devs bricolent pour la sortie de pacman3 dans current... :roll:

Elrohir
archer
Messages : 134
Inscription : sam. 16 sept. 2006, 19:46

Message par Elrohir » sam. 21 avr. 2007, 20:55

Ben... vaut mieux qu'ils prennent leur temps que de sortir un soft bugué :)

Avatar de l’utilisateur
wain
Maître du Kyudo
Messages : 1853
Inscription : ven. 11 août 2006, 19:15
Localisation : Nancy (54)
Contact :

Message par wain » lun. 30 avr. 2007, 12:09

Nouvelle version: yaourt 0.7.7
http://archiwain.free.fr/os/i686/yaourt ... pkg.tar.gz

Changelog:
- nouvelles couleurs dans le résultat de recherche (à priori se seront les futures couleurs de pacman)
- possibilité de rechercher avec un regexp du type yaourt -Ss "package*manager" pour trouver uniquement les paquetages qui contiennent les mots package ET manager dans leur description
- bug corrigé dans le cas où la variable LC_ALL n'est pas définie (merci à ubitux).

Puisque la sortie de pacman3 est imminente, la prochaine version de yaourt devrait être à nouveau disponible sur AUR et sur le dépôt [archlinuxfr]. :wink:

Avatar de l’utilisateur
wain
Maître du Kyudo
Messages : 1853
Inscription : ven. 11 août 2006, 19:15
Localisation : Nancy (54)
Contact :

Message par wain » mar. 08 mai 2007, 00:10

Nouvelle version: yaourt 0.7.8
http://archiwain.free.fr/os/i686/yaourt ... pkg.tar.gz

Changelog:
- petit correctif dans l'affichage des couleurs sur certains terminaux
Dernière édition par wain le mar. 08 mai 2007, 10:42, édité 1 fois.

Avatar de l’utilisateur
atlas95
Hankyu
Messages : 16
Inscription : dim. 11 févr. 2007, 21:58

Message par atlas95 » mar. 08 mai 2007, 03:26

ca fonctionne très bien wain :)

Avatar de l’utilisateur
vincentxavier
Elfe
Messages : 778
Inscription : ven. 11 août 2006, 18:17
Localisation : Epinay sur Seine (93)
Contact :

Message par vincentxavier » sam. 12 mai 2007, 00:29

Y'a-t-il moyen de demander gentillement à yaourt de compiler automatiquement les PKGBUILD sans passer par l'étape de review du PKGBUILD ?
Warranty

THIS ADVICE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.

En clair, je ne pourrais être tenu responsable des dégats causés par l'utilisation de mes conseils

Image

Avatar de l’utilisateur
vincentxavier
Elfe
Messages : 778
Inscription : ven. 11 août 2006, 18:17
Localisation : Epinay sur Seine (93)
Contact :

Message par vincentxavier » sam. 12 mai 2007, 00:31

Idem pour Aurvote, peut-t-on indiquer à yaourt de voter automatiquement. Il faudrait dans ce cas envisager un fichier .yaourtrc ;)
Warranty

THIS ADVICE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.

En clair, je ne pourrais être tenu responsable des dégats causés par l'utilisation de mes conseils

Image

Avatar de l’utilisateur
vincentxavier
Elfe
Messages : 778
Inscription : ven. 11 août 2006, 18:17
Localisation : Epinay sur Seine (93)
Contact :

Message par vincentxavier » sam. 12 mai 2007, 00:32

idem pour cette question là aussi :
==> Continue installing 'perl-log-message-simple'? [Y/n]
==> ----------------------------------------------
==>
Warranty

THIS ADVICE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.

En clair, je ne pourrais être tenu responsable des dégats causés par l'utilisation de mes conseils

Image

Avatar de l’utilisateur
wain
Maître du Kyudo
Messages : 1853
Inscription : ven. 11 août 2006, 19:15
Localisation : Nancy (54)
Contact :

Message par wain » sam. 12 mai 2007, 00:36

Code : Tout sélectionner

yaourt -S proutprout --noconfirm 
??

Avatar de l’utilisateur
marc[i1]
Maître du Kyudo
Messages : 1753
Inscription : ven. 27 oct. 2006, 10:48
Localisation : Nantes (44)
Contact :

Message par marc[i1] » sam. 12 mai 2007, 00:37

il serait possible d'ajouter le script de gyo à yaourt ?
celui pour reconstruire les pkg perdu.

En dépendance ou en interne, peu importe.
Ne vous emmerdez plus, emmerdez les autres.

Avatar de l’utilisateur
vincentxavier
Elfe
Messages : 778
Inscription : ven. 11 août 2006, 18:17
Localisation : Epinay sur Seine (93)
Contact :

Message par vincentxavier » sam. 12 mai 2007, 00:38

oui, mais il faut le mettre à chaque fois :(
Warranty

THIS ADVICE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.

En clair, je ne pourrais être tenu responsable des dégats causés par l'utilisation de mes conseils

Image

Cactus
Maître du Kyudo
Messages : 2073
Inscription : sam. 16 sept. 2006, 10:39
Localisation : 31 - Toulouse Nord

Message par Cactus » jeu. 17 mai 2007, 13:48

Wain : Petite piste d'amélioration pour yaourt :

Je prends mon exemple, ce sera plus simple :

Je suis en train de me battre avec vmware, et là, je reconstruis la version 5.5.
(j'ai pas trouvé de licence pour la version 6, va falloir que je vois combien ça coute).
(EDIT : oué euh... 189$ la licence... juste pour faire tourner un seul jeu... oui, mais non ! le pb, c'est vmware-player ne me convient au niveau de l'interface graphique... mais bon, c'est le sujet d'ici !)

Donc, il y a le paquet vmware-server qui dépend de vmware-server-modules.

Et le "soucis", c'est que ce dernier (-modules) n'est qu'une petite extraction du des sources du 1er, mais yaourt télécharge quand même le fichier source (100 Mo dans mon cas).

Il n'y aurait pas moyen de faire plus simple ? (regarder en local avant de télécharger 2 fois la même archive)

Bah sinon, c'est pas la mort, mon 8 Mbps tourne pas mal... :wink:

toma222
Daikyu
Messages : 97
Inscription : dim. 11 févr. 2007, 13:06

Message par toma222 » jeu. 17 mai 2007, 15:26

Bonjour,

Déjà bravo pour ce programme, je ne peux plus m'en passer.
Par contre je viens de passer en 64 bits et Yaourt ne semble plus mis à jour pour cette architecture.

Code : Tout sélectionner

[root@PC-Thomas thomas]# pacman -S yaourt
:: yaourt-0.6.5-1: la version locale est à jour. Mettre à jour tout de même? [O/n] 
Normal ?

Avatar de l’utilisateur
Skunnyk
Maître du Kyudo
Messages : 1111
Inscription : mer. 06 sept. 2006, 21:31
Localisation : IRC
Contact :

Message par Skunnyk » jeu. 17 mai 2007, 16:52

Plop =)
Euh, on va dire que c'est un petit oublie dans le repos :p
Il est disponible dans le repertoire x86 (c'est le meme, vu que yaourt est ecris en bash, pas besoin de compilateur).
C'est dispo ici, http://archlinux.fr/os/i686, tu telmecharge le pkg.tar.gz puis pacman -U yaourt-xxxx.pkg.tar.gz et ca devrais foncitonner :)
La mise a jour sur le x86_64 va se faire prochainement (quand wain aura le temps :p)

toma222
Daikyu
Messages : 97
Inscription : dim. 11 févr. 2007, 13:06

Message par toma222 » jeu. 17 mai 2007, 20:54

Ok, merci beaucoup.

Avatar de l’utilisateur
wain
Maître du Kyudo
Messages : 1853
Inscription : ven. 11 août 2006, 19:15
Localisation : Nancy (54)
Contact :

Message par wain » jeu. 17 mai 2007, 21:40

Désolé oui je mettrai à jour dès que possible (il y a d'abord de la maintenance à faire sur le dépôt avant de pouvoir générer une nouvelle base).

Sinon,

info importante à propos des paquets compilés depuis AUR:

Un bug dans makepkg fait que lorsqu'on compile un paquetage qui nécessite lui-même une ou plusieurs dépendances, ces dépendances ne seront plus désinstallées automatiquement lorsqu'on enlève le paquetage en question.

Exemple, j'installe wengophone depuis AUR, la dépendance libstdc++5 est installée automatiquement. Si je désinstalle un jour wengophone, libstdc++5 ne sera pas supprimé automatiquement même avec l'option -Rcsn.

J'ai signalé le bug ici:
http://bugs.archlinux.org/task/7193

Avatar de l’utilisateur
Tebo
Chu Ko Nu
Messages : 366
Inscription : sam. 17 mars 2007, 23:24

Message par Tebo » ven. 18 mai 2007, 10:11

Il n'y aurait pas moyen de faire plus simple ?
@cactus: si tu peut essayer qemu, qemu-launcher, kqemu + couplé à kvm,
Le tout est sous gpl!

Répondre

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 3 invités